package media

import (
	"database/sql"

	"git.mstar.dev/mstar/linstrom/storage-new/dbgen"
)

func (s *Server) FileExists(userid, filename string) (bool, error) {
	mm := dbgen.MediaMetadata
	c, err := mm.Where(mm.OwnedById.Eq(sql.NullString{Valid: true, String: userid}), mm.Name.Eq(filename)).
		Count()
	if err != nil {
		return false, err
	}
	return c > 0, nil
}
