package webdebug

import (
	"net/http"

	"github.com/rs/zerolog/hlog"

	"git.mstar.dev/mstar/linstrom/activitypub"
)

func importServerInfo(w http.ResponseWriter, r *http.Request) {
	target := r.FormValue("target")
	if _, err := activitypub.ImportRemoteServer(target); err != nil {
		hlog.FromRequest(r).Error().Err(err).Msg("Failed to import")
	}
}
