# Linstrom

Linstrom is a new social media server with the focus on providing
users, moderators and admins alike simple, yet powerful features
to moderate the experience.

## Federation

It is planned that Linstrom will federate at least with other Linstrom servers,
but also possibly via ActivityPub and ATProto.

It was never intended to be completely standalone, only existing for itself,
but rather to join at least one of the growing networks and interoperate
with those networks.

## Why Linstrom when \<insert ActivityPub server here\> already exists?

Because of moderation tooling. I have a bunch of friends that happen to be
the moderators or owners of various servers with differing software
(Sharkey, Mastodon, Akkoma as example).
And they all have different woes with their software.

I want to try and make a server that combines the strengths of various
project's tooling while also hopefully solving
some of the weaknesses.

## Permission system

All permissions operate on a role based system, similar to what Discord offers.
Accounts in power (admins and moderators) are only able to manipulate other accounts
via this role system. This prevents moderators from directly manipulating accounts,
such as changing their username, info fields or otherwise, while still providing
ample control over the activities these accounts can perform.

These same roles, while most powerful for local accounts, also apply to remote accounts
as much as realisticly possible. Preventing a login on a remote server for example
might not be possible, but blocking all inbound traffic from that account is.

However, roles are not only for moderators and admins to use.
Normal accounts can also make use of them, all be it in a more limited way.
