package plugins

import lua "github.com/yuin/gopher-lua"

type Runner struct {
	state *lua.LState
	inUse bool
}

func NewRunner() (*Runner, error) {
	lState, err := NewBlankState()
	if err != nil {
		return nil, err
	}
	return &Runner{
		lState,
		false,
	}, nil
}

func (r *Runner) IsInUse() bool {
	return r.inUse
}
